## rio 1.07

=== debian/changelog ===
rio (1.07-16) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Jun 2024 11:25:18 +0200

rio (1.07-15) unstable; urgency=medium

  * QA upload.
  * Convert source to 3.0 format (closes: #1007402)
  * Fix FTBFS with glibc 2.32 (closes: #979748)

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 26 May 2022 21:44:16 +0200

rio (1.07-14) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: added to perform a simple test.

 -- Asael da Silva Vaz <asaelvaz@gmail.com>  Mon, 18 May 2020 20:38:09 -0300

rio (1.07-13) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as Maintainer. (see #848565)
  * Using new DH level format. Consequently:
      - debian/compat:removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Asael da Silva Vaz <asaelvaz@gmail.com>  Mon, 11 May 2020 21:43:39 -0300

rio (1.07-12) unstable; urgency=low

  * Upgrade standards version from 3.6.2.0 to 3.9.5.0 in debian/control
  * Upgrade debhelper debian/compat level from 4 to 9
  * Updated debhelper Build-Depends in debian/control to >= 9
  * Added minimal debian/watch file
  * Added ${misc:Depends} to Depends: line in debian/control
  * Removed Suggests for menu in debian/control
    (Closes: #647376)
  * Added amd64 to Architecture in debian/control
  * Added upstream CREDITS file to debian/docs
  * Removed gpl.txt from debian/docs, it is GPL-V2
  * Changed debian/rules into the "tiny" version.
  * Set debian/source/format to 1.0
  * Added debian/rio.manpages containing rio.1
  * Added $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) to makefile for hardening
  * Typographically reformatted the copyright line to make lintian
    happy.  Its a one-liner now instead of two.
  * Removed leading "A" article from description synopsis
    in debian/control to fix description-synopsis-starts-with-article.
  * Changed from Apps/Sound/Rio to Applications/Mobile Devices
    in debian/rio.menu.

 -- Vince Mulhollon <vlm@debian.org>  Fri, 21 Mar 2014 09:55:05 -0500

rio (1.07-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include sys/io.h rather than asm/io.h (Closes: 429010).

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 18 Jul 2007 12:04:16 +0200

rio (1.07-11) unstable; urgency=low

  * Policy compliant up to 3.6.2.0, quoted strings in menu file.
  * Patched for GNU/kFreeBSD (Closes: #327646)
  * Boost debhelper compat level from 1 to 4
  * Convert from dh_installmanpages to dh_installman

 -- Vince Mulhollon <vlm@debian.org>  Tue, 11 Oct 2005 19:18:35 -0500

rio (1.07-10) unstable; urgency=low

  * Upgrading to new gcc.
  * Fixed URL in control description
  * Closes: #196926

 -- Vince Mulhollon <vlm@debian.org>  Mon, 25 Aug 2003 20:10:18 -0500

rio (1.07-9) unstable; urgency=low

  * Policy compliant up to 3.5.8.0
  * Fixes the lintian warning about postinst-should-not-set-usr-doc-link
  * Fixes copyright-lists-upstream-authors-with-dh_make-boilerplate

  * No longer uses debconf.
  * Closes: #136453

 -- Vince Mulhollon <vlm@debian.org>  Tue, 17 Dec 2002 19:54:16 -0600

rio (1.07-8) unstable; urgency=low

  * Fix lintian error, licenses is spelled with an s not a c
  * Debian policy compliance upgrade from 3.5.2.0 to 3.5.6.0

 -- Vince Mulhollon <vlm@debian.org>  Wed, 19 Dec 2001 18:19:30 -0600

rio (1.07-7) unstable; urgency=low

  * OK, lets try this again, getting rid of the postinst

 -- Vince Mulhollon <vlm@debian.org>  Wed, 23 May 2001 20:07:39 -0500

rio (1.07-6) unstable; urgency=low

  * Bug 88779 fixed (no complaints in some months, anyway)
  * Closes: #88779
  *
  * Bug 92857 prconfigure fails due to chmod issues
  * I do not intend to debconf the suid issue
  * I am no longer of the opinion that essentially
  * opening a security hole is a wise idea.
  * Someone smart enough to SUID the binary should be
  * responsible for their actions and I will not help them
  * Closes: #92857
  *
  * Bug 94399 german templates for debconf
  * See bug 92857, I'm not doing the debconf SUID thing anymore.
  * Closes: #94399.

 -- Vince Mulhollon <vlm@debian.org>  Mon, 21 May 2001 18:57:49 -0500

rio (1.07-5) unstable; urgency=low

  * Bug 88779 build on Alpha fails.
  * Problem, in summary, was #include <asm/io.h>
  * Solution was to ifdef it out for alpha.

 -- Vince Mulhollon <vlm@debian.org>  Tue,  6 Mar 2001 21:01:30 -0600

rio (1.07-4) unstable; urgency=low

  * Update to standards version 3.5.2.0 from 3.0.1

 -- Vince Mulhollon <vlm@debian.org>  Sun,  4 Mar 2001 17:08:06 -0600

rio (1.07-3) unstable; urgency=low

  * Bug 50510 was fixed in 1.07-2 (closes: Bug#50510)
  * per bug 50938, I applied the patch and uploaded (closes: Bug#50938)
  * Bug 52128 indicates the rio program directly molests the IO chips
  * So I will change the control file per bug report (closes: Bug#52128)
  * Early experiments with menu appear to work OK

 -- Vince Mulhollon <vlm@execpc.com>  Tue,  7 Dec 1999 18:36:23 -0600

rio (1.07-2) unstable; urgency=low

  * Per bug #50510, debconf defaults to non-setuid root.
  * Per bug #50938, I will implement the suggested change.

 -- Vince Mulhollon <vlm@execpc.com>  Mon, 29 Nov 1999 20:03:33 -0600

rio (1.07-1.1) unstable; urgency=low

  * NMU. Removed suid bit. Fixes #50510.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 20 Nov 1999 21:35:18 +0100

rio (1.07-1) unstable; urgency=low

  * Initial Release.
  * This is my first Debian package.

 -- Vince Mulhollon <vlm@execpc.com>  Sat, 30 Oct 1999 21:37:01 -0500
