=== debian/control ===
Source: rio
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/rio
Vcs-Git: https://salsa.debian.org/debian/rio.git

Package: rio
Architecture: alpha amd64 i386 kfreebsd-i386
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Command line Diamond Rio MP3 player controller
 rio is a Diamond Rio MP3 CLI controller program
 The home website is http://www.world.co.uk/sba
 This program supports file uploads and downloads, on both
 the Classic Rio and the 64 Meg Rio, and supports plug in cards.
 .
 The default port is 0x378, if your rio is plugged into a
 different port, you will need to use the -p option.
 .
 This program directly controls various IOports.  The program need to
 be run as root, or setuid root.
 .
 If you execute the following line as root after package installation,
 the program will be setuid root.
 .
 chmod 4755 /usr/bin/rio
 .
 Do NOT do that unless you understand the security implications of a
 setuid binary that can "easily" overwrite any system file.
